Skip to content

Update party

PUT
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/parties/{party_id}

Update party information.

party_id
required
Party Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
PartyUpdate

Update party schema.

object
legal_name
Any of:
string
>= 1 characters <= 500 characters
trading_name
Any of:
string
<= 500 characters
party_type
Any of:
PartyType

Party type enumeration.

string
Allowed values: supplier customer both
tax_id
Any of:
string
<= 100 characters
registration_number
Any of:
string
<= 100 characters
email
Any of:
string format: email
phone
Any of:
string
<= 50 characters
website
Any of:
string
<= 500 characters
business_description
Any of:
string
notes
Any of:
string
is_peppol_participant
Any of:
boolean
is_active
Any of:
boolean
Examples

Request payload example

{
"legal_name": "string",
"trading_name": "string",
"party_type": "supplier",
"tax_id": "string"
}

Successful Response

Examples

200 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}